10002 – Security error – Security header is not valid

Hello,

I try to implement the pay per view tool but I get the following message
10002 – Security error – Security header is not valid

When using the paypal button

Aymar

  • Adam Czajczyk

    Hello Aymar

    I hope you're well today and thank you for your question!

    This error usually means that there's a wrong set of credentials used in PayPal configuration. By this I mean that either a live account credentials are used while plugin is set to "sandbox" (testing) mode or sandbox (testing) credentials are used with plugin set to "live" mode.

    I accessed your site and went to Pay Per View configuration page and PayPal currently is set there to the "Sandbox" mode, while API credentials - by the look of it - seem to be your real (live) account credentials.

    Please make sure that this is consistent and it should solve the issue. If you're about to use real transactions, without testing setup first, make sure that API credentials are right and switch PayPal in plugin configuration to "live" mode. If you want to test it first, you will want to create yourself a sandbox merchant and client accounts first and use those for API credentials in plugin configuration.

    You will find out more about testing with PayPal sandbox here:

    https://developer.paypal.com/docs/classic/lifecycle/ug_sandbox/

    and here

    https://developer.paypal.com/developer/accounts/

    Best regards,
    Adam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.